/*
 *  Authors: Rodney Dawes <dobey.pwns@gmail.com>
 *
 *  Copyright 2008 Rodney Dawes
 *
 */

#ifdef _HAVE_CONFIG_H_
#include "config.h"
#endif

#include "calview-model.h"

struct _CalViewModelPrivate {
};

/* GObject methods */
static void cal_view_model_finalize (GObject * object);

G_DEFINE_TYPE (CalViewModel, cal_view_model, G_TYPE_OBJECT)

static void cal_view_model_class_init (CalViewModelClass * klass) {
  GObjectClass * o_class;

  o_class = (GObjectClass *) klass;

  /* GObject Methods */
  o_class->finalize = cal_view_model_finalize;

  klass->expose_event = NULL;
}

static void cal_view_model_init (CalViewModel * model) {
  CalViewModelPrivate * priv;

  priv = g_new0 (CalViewModelPrivate, 1);
  model->priv = priv;
}

static void cal_view_model_finalize (GObject * object) {
  CalViewModel * model = CAL_VIEW_MODEL (object);

  if (model->priv)
    g_free (model->priv);
}
