/*
 *  Authors: Rodney Dawes <dobey.pwns@gmail.com>
 *
 *  Copyright 2008 Rodney Dawes
 *
 */

#ifndef _CALVIEW_MODEL_H_
#define _CALVIEW_MODEL_H_

#include <glib-object.h>
#include <gtk/gtkwidget.h>

G_BEGIN_DECLS

#define CAL_TYPE_VIEW_MODEL            (cal_view_model_get_type ())
#define CAL_VIEW_MODEL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAL_TYPE_VIEW_MODEL, CalViewModel))
#define CAL_VIEW_MODEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CAL_TYPE_VIEW_MODEL, CalViewModelClass))
#define CAL_IS_VIEW_MODEL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAL_TYPE_VIEW_MODEL))
#define CAL_IS_VIEW_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CAL_TYPE_VIEW_MODEL))
#define CAL_VIEW_MODEL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CAL_TYPE_VIEW_MODEL, CalViewModelClass))

typedef struct _CalViewModel CalViewModel;
typedef struct _CalViewModelClass CalViewModelClass;
typedef struct _CalViewModelPrivate CalViewModelPrivate;

struct _CalViewModel {
  GObject parent;

  CalViewModelPrivate * priv;
};

struct _CalViewModelClass {
  GObjectClass parent_class;

  void (* expose_event) (CalViewModel * model, GtkWidget * widget,
			 GdkEventExpose * event);
};

/* Creators */
GType cal_view_model_get_type (void) G_GNUC_CONST;

G_END_DECLS

#endif
