/*
 *  Authors: Rodney Dawes <dobey.pwns@gmail.com>
 *
 *  Copyright 2008 Rodney Dawes
 *
 */

#ifndef _CALVIEW_H_
#define _CALVIEW_H_

#include "calview-model.h"
#include <gtk/gtkdrawingarea.h>

G_BEGIN_DECLS

#define CAL_TYPE_VIEW            (cal_view_get_type ())
#define CAL_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAL_TYPE_VIEW, CalView))
#define CAL_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CAL_TYPE_VIEW, CalViewClass))
#define CAL_IS_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAL_TYPE_VIEW))
#define CAL_IS_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CAL_TYPE_VIEW))
#define CAL_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CAL_TYPE_VIEW, CalViewClass))

typedef struct _CalView           CalView;
typedef struct _CalViewClass      CalViewClass;
typedef struct _CalViewPrivate    CalViewPrivate;

struct _CalView
{
  GtkDrawingArea parent;

  CalViewPrivate * priv;
};

struct _CalViewClass
{
  GtkDrawingAreaClass parent_class;

  void (* date_activated)         (CalView * view,
				   GDate * date);
};

/* Creators */
GType cal_view_get_type (void) G_GNUC_CONST;

GtkWidget * cal_view_new (void);
GtkWidget * cal_view_new_with_model (CalViewModel * model);

/* Accessors */
CalViewModel * cal_view_get_model      (CalView * cal_view);
void cal_view_set_model      (CalView * cal_view, CalViewModel * model);

G_END_DECLS

#endif
